Last Comment Bug 1291635 - Responsive design mode icon is similar with dock to bottom icon
: Responsive design mode icon is similar with dock to bottom icon
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: unspecified
: All All
-- normal (vote)
: Firefox 53
Assigned To: Helen V. Holmes (:helenvholmes) (:✨)
:
: Patrick Brosset <:pbro>
Mentors:
Depends on: 1338363
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-03 02:26 PDT by magicp
Modified: 2017-02-09 16:07 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: yes
wontfix
wontfix
wontfix
wontfix
verified
verified


Attachments
responsive-design-mode-icon-is-similar-with-dock-to-bottom-icon.png (138.74 KB, image/png)
2016-08-03 02:26 PDT, magicp
no flags Details
rdm-icon.patch (1.44 KB, patch)
2016-11-16 10:58 PST, Helen V. Holmes (:helenvholmes) (:✨)
jryans: review+
Details | Diff | Splinter Review
Screen Shot 2016-11-16 at 1.51.07 PM.png (5.93 KB, image/png)
2016-11-16 10:59 PST, Helen V. Holmes (:helenvholmes) (:✨)
no flags Details

Description User image magicp 2016-08-03 02:26:49 PDT
Created attachment 8777256 [details]
responsive-design-mode-icon-is-similar-with-dock-to-bottom-icon.png

User Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko/20100101 Firefox/48.0
Build ID: 20160726073904

Steps to reproduce:

1. Start Nightly
2. Open DevTools
3. Move dock to side


Actual results:

Responsive design mode icon is similar with dock to bottom icon.


Expected results:

Responsive design mode icon should be changed to more identifiable like firebug icon.
Comment 1 User image J. Ryan Stinnett [:jryans] (use ni?) 2016-08-03 08:59:27 PDT
They are indeed very similar!  Helen, any thoughts about this?
Comment 2 User image Helen V. Holmes (:helenvholmes) (:✨) 2016-08-04 06:52:08 PDT
(In reply to J. Ryan Stinnett [:jryans] (use ni?) from comment #1)
> They are indeed very similar!  Helen, any thoughts about this?

In this bug's current form I would consider this a WONTFIX—they're separated out into two separate sections.

However, I can see how in this mode, the visual separator disappears, which is problematic: https://cl.ly/2F1s1u0v0t2Y

gasolin is currently working on a series of toolbar visual changes that should resolve this bug by removing background colors on the panel backgrounds and using color on the text instead, which will preserve that visual separator and making these two buttons more obvious with the Settings panel selected.
Comment 3 User image Helen V. Holmes (:helenvholmes) (:✨) 2016-11-16 10:58:19 PST
Created attachment 8811405 [details] [diff] [review]
rdm-icon.patch
Comment 4 User image Helen V. Holmes (:helenvholmes) (:✨) 2016-11-16 10:59:03 PST
Created attachment 8811406 [details]
Screen Shot 2016-11-16 at 1.51.07 PM.png

With the patch applied.
Comment 5 User image J. Ryan Stinnett [:jryans] (use ni?) 2016-11-16 11:19:59 PST
Comment on attachment 8811405 [details] [diff] [review]
rdm-icon.patch

Review of attachment 8811405 [details] [diff] [review]:
-----------------------------------------------------------------

Thanks for working on this!

Please add r=jryans to commit message.

::: devtools/client/themes/images/command-responsivemode.svg
@@ +1,4 @@
>  <!-- This Source Code Form is subject to the terms of the Mozilla Public
>     - License, v. 2.0. If a copy of the MPL was not distributed with this
>     - file, You can obtain one at http://mozilla.org/MPL/2.0/. -->
> +<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="16" height="16" viewBox="0 0 16 16" stroke="#0b0b0b" stroke-miterlimit="10" stroke-wdith="2" stroke-linecap="round" stroke-linejoin="round" fill="transparent">

Looks like the following attributes are not needed:

* xmlns:xlink
* stroke-wdith (which is misspelled and distorts the image if corrected)

These I am less sure about, but I could not notice an obvious change when removing them:

* stroke-linecap
* stroke-linejoin
Comment 6 User image Pulsebot 2016-11-17 14:57:48 PST
Pushed by jryans@gmail.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/42de50438fc9
Adds new responsive design mode icon. r=jryans
Comment 7 User image J. Ryan Stinnett [:jryans] (use ni?) 2016-11-17 15:02:55 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/7ad438df2992
Comment 8 User image Carsten Book [:Tomcat] 2016-11-18 07:58:13 PST
https://hg.mozilla.org/mozilla-central/rev/42de50438fc9
Comment 9 User image magicp 2016-11-19 06:46:20 PST
This bug was verified fixed in latest Aurora and Nightly build. Thanks!

Note You need to log in before you can comment on or make changes to this bug.